Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRSortField

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Implementing Classes:
  JRBaseSortField, JRDesignSortField

    public interface JRSortField

extends JRCloneable

Version:
  $Id: JRSortField.java 3955 2010-09-22 08:19:02Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `SORT_ORDER_ASCENDING` Deprecated. Replaced by `SortOrderEnum.ASCENDING`.
`static byte` | `SORT_ORDER_DESCENDING` Deprecated. Replaced by `SortOrderEnum.DESCENDING`.

Method Summary
`java.lang.String` | `getName()` Gets the sort field name.
`byte` | `getOrder()` Deprecated. Replaced by `getOrderValue()`.
`SortOrderEnum` | `getOrderValue()` Gets the sort order for the field.
`SortFieldTypeEnum` | `getType()` Gets the type of the sort field.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### SORT_ORDER_ASCENDING

    static final byte SORT_ORDER_ASCENDING

  Deprecated. Replaced by `SortOrderEnum.ASCENDING`.
  See Also:
    Constant Field Values

### SORT_ORDER_DESCENDING

    static final byte SORT_ORDER_DESCENDING

  Deprecated. Replaced by `SortOrderEnum.DESCENDING`.
  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Gets the sort field name.

### getOrder

    byte getOrder()

  Deprecated. Replaced by `getOrderValue()`.

### getOrderValue

    SortOrderEnum getOrderValue()

  Gets the sort order for the field.

### getType

    SortFieldTypeEnum getType()

  Gets the type of the sort field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com